unity-settings-daemon crashed with SIGSEGV in up_exported_daemon_get_lid_is_closed()

Bug #1546641 reported by william on 2016-02-17
506
This bug affects 65 people
Affects Status Importance Assigned to Milestone
Upower
Unknown
Unknown
unity-settings-daemon (Ubuntu)
Critical
Unassigned
Xenial
Critical
Unassigned
Yakkety
Critical
Unassigned
upower (Ubuntu)
Critical
Martin Pitt
Xenial
Critical
Unassigned
Yakkety
Critical
Martin Pitt

Bug Description

https://errors.ubuntu.com/problem/8ca9c548fc4e2fc1d4bf827bbd85c72df59313f8

Ubuntu 16.04 crashes immediately on login. Default settings not applied and appearance is a bit ugly (incorrect font hinting, in-window menus etc).

SRU TEST CASE (upower)
----------------------
On affected machines, unity-settings-daemon crashes immediately on login, as due to a kernel bug upowerd takes a very long time to start. With the fixed package the crash is fixed. Power status information will still be wrong, but at least theme, hotkeys, and all other unity-settings-daemon functionality will work.

This can be synthetically tested with:

   DBUS_SYSTEM_BUS_ADDRESS=foo upower --dump

With the current xenial version this causes a segfault, while with the fix you get a proper error message.

Fix: https://cgit.freedesktop.org/upower/commit/?id=932a6a39e3
   https://cgit.freedesktop.org/upower/commit/?id=4e83fabac
(The second one is not crucial, but provides a much better failure mode for the "upower" CLI tool).

Regression potential: This changes the core behaviour of libupower. The patch is carefully written to be backwards compatible to the extent possible, but changing the behaviour is necessary to fix this bug (see commit log for details). Thus clients such as unity-control-center, unity-settings-daemon, or mate-power-manager should be tested as part of the verification.

---

ProblemType: Crash
DistroRelease: Ubuntu 16.04
ProcVersionSignature: Ubuntu 4.4.0-6.21-generic 4.4.1
Uname: Linux 4.4.0-6-generic x86_64
ApportVersion: 2.20-0ubuntu3
Architecture: amd64
CrashCounter: 1
Date: Wed Feb 17 13:52:13 2016
ExecutablePath: /usr/lib/unity-settings-daemon/unity-settings-daemon
InstallationDate: Installed on 2016-02-08 (8 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Alpha amd64 (20160205)
ProcCmdline: /usr/lib/unity-settings-daemon/unity-settings-daemon
ProcEnviron:
 LANGUAGE=pt_BR:pt:en
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=pt_BR.UTF-8
 SHELL=/bin/false
SegvAnalysis:
 Segfault happened at: 0x3aae60fe69 <up_exported_daemon_get_lid_is_closed+9>: mov (%rbx),%rdi
 PC (0x3aae60fe69) ok
 source "(%rbx)" (0x00000000) not located in a known VMA region (needed readable region)!
 destination "%rdi" ok
SegvReason: reading NULL VMA
Signal: 11
SourcePackage: unity-settings-daemon
StacktraceTop:
 up_exported_daemon_get_lid_is_closed () from /usr/lib/x86_64-linux-gnu/libupower-glib.so.3
 gsd_power_manager_start () from /usr/lib/unity-settings-daemon-1.0/libpower.so
 ?? () from /usr/lib/unity-settings-daemon-1.0/libpower.so
 gnome_settings_plugin_info_activate ()
 ?? ()
Title: unity-settings-daemon crashed with SIGSEGV in up_exported_daemon_get_lid_is_closed()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

william (tree-yellow60) wrote :
william (tree-yellow60) wrote :

Folks, I am tired, but, will go till the end of this work.

StacktraceTop:
 up_exported_daemon_get_lid_is_closed (object=0x0) at up-daemon-generated.c:747
 up_client_get_lid_is_closed (client=<optimized out>) at up-client.c:208
 gsd_power_manager_start (manager=0x14d61e0, error=error@entry=0x7ffc2e8a7d10) at gsd-power-manager.c:3324
 impl_activate (plugin=0x14ad0d0) at gsd-power-plugin.c:29
 _activate_plugin (info=0x14aff20) at gnome-settings-plugin-info.c:437

Changed in unity-settings-daemon (Ubuntu):
importance: Undecided → Medium
tags: removed: need-amd64-retrace
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in unity-settings-daemon (Ubuntu):
status: New → Confirmed
tags: added: bugpattern-needed
Martin Pitt (pitti) on 2016-04-17
information type: Private → Public
Daniel van Vugt (vanvugt) wrote :

Duplicate bug 1557940 from errors.ubuntu.com shows 3080 users affected and climbing. Me too...
https://errors.ubuntu.com/problem/8ca9c548fc4e2fc1d4bf827bbd85c72df59313f8

Changed in unity-settings-daemon (Ubuntu):
importance: Medium → Critical
description: updated
description: updated
Daniel van Vugt (vanvugt) wrote :

400 additional crash reports for this since last night...

ice (wasteymail-all) wrote :

we need someone to fix this.
here are somne more informations from me : https://bugs.launchpad.net/ubuntu/+source/unity-settings-daemon/+bug/1570558

Daniel van Vugt (vanvugt) wrote :

It seems to be loosely tied to the motherboard/BIOS. I have two Dell 9020 desktops, although they weirdly have different motherboards and different POST appearance. Only one of them experiences this bug.

ice (wasteymail-all) wrote :

Some people say it has to do with a ASMedia USB Controller.

Martin Pitt (pitti) wrote :

https://git.gnome.org/browse/gnome-settings-daemon/tree/plugins/power/gsd-power-manager.c#n2589 checks whether the computer has a lid before it queries the status for it. But unity-settings-daemon apparently did not get that fix yet as per the StacktraceSource.txt attachment:

 3323: manager->priv->up_client = up_client_new ();
 3324: manager->priv->lid_is_closed = up_client_get_lid_is_closed (manager->priv->up_client);

This code was introduced into g-s-d in 2013, but got it right immediately: https://git.gnome.org/browse/gnome-settings-daemon/commit/?id=ddfef4e8

So I figure u-s-d got some deviating development in this area.

Changed in unity-settings-daemon (Ubuntu Xenial):
importance: Undecided → Critical
status: New → Confirmed
Martin Pitt (pitti) wrote :

It's not just that one line, it seems the lid_is_present internal variable is missing completely from u-s-d.

Martin Pitt (pitti) wrote :

This check was introduced in https://git.gnome.org/browse/gnome-settings-daemon/commit/?id=d491ebf63, so this needs to get backported.

Changed in unity-settings-daemon (Ubuntu Yakkety):
status: Confirmed → Triaged
Changed in unity-settings-daemon (Ubuntu Xenial):
status: Confirmed → Triaged
Daniel van Vugt (vanvugt) wrote :

It appears up_client is not NULL. But up_client->priv->proxy is NULL

Daniel van Vugt (vanvugt) wrote :

... which makes this more like a bug in upower.

Ben Echols (benpechols) wrote :

This issue occurs on my lenovo laptop when I install nvidia drivers and then plug in a second monitor.
If I do not plug in a second monitor this issue never appears for me.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in upower (Ubuntu Xenial):
status: New → Confirmed
Changed in upower (Ubuntu):
status: New → Confirmed
Rick Harris (rickfharris) wrote :

Looks to be a race condition where the session (and so unity-settings-daemon) is started before systemd has finished starting the upower.service unit.
u-s-d tries to query the state of power and segfaults when upowerd hasn't finished initialising to be able respond.

From syslog:
17:14:31 kernel: unity-settings-[1722]: segfault at 0 ip 00007fe3799805a9 sp 00007ffec6513af0 error 4 in libupower-glib.so.3.0.1[7fe37996f000+25000]
<snip>
17:14:50 dbus-daemon[460]: [system] Successfully activated service 'org.freedesktop.UPower'

Confirmed this by doing the following:
1. Disabling lightdm from autostarting: systemctl disable lightdm

2. Reboot and wait until systemd starts upower.service

3. Start lightdm: systemctl start lightdm

4. u-s-d starts without issue and so default settings and themes are applied, media keys work, etc.

Daniel van Vugt (vanvugt) wrote :

Thanks Rick. I proposed that might be the cause last week but pitti said it wasn't possible. Maybe it is...

Changed in upower (Ubuntu Xenial):
importance: Undecided → Critical
Changed in upower (Ubuntu Yakkety):
importance: Undecided → Critical
Rick Harris (rickfharris) wrote :

One last thing...ice in comment #12 said:
"Some people say it has to do with a ASMedia USB Controller"

Have found that USB enumeration failure can cause a bottleneck in systemd getting the upower.service unit to finally start.

You'll know if the system is hit with this as it'll be much slower to boot and the kernel will spew errors of the type:
kernel: usb 2-1.1: device descriptor read/64, error -110
kernel: usb 2-1-port1: unable to enumerate USB device

Occasionally after several suspend/resumes, I have a USB device (wireless game controller) that must be unplugged/replugged to stop this error (simply rebooting does not fix).

Have found on my laptop, if the USB enumeration boots through without any error then it's quick enough to have systemd start upower.service in time before u-s-d is started, otherwise the u-s-d segfault occurs as above.

Thanks :)

jontyl (jonty-lawson) wrote :

I'm seeing this on a Sony Vaio VPCSB.

I'm also getting a problem with System Settings which may be related. Clicking on Power, the System Settings window freezes and then disappears. If I run unity-control-center from a terminal it prints the following as it dies:

libupower-glib-WARNING **: Couldn't connect to proxy: Error calling StartServiceByName for org.freedesktop.UPower: GDBus.Error:org.freedesktop.DBus.Error.TimedOut: Failed to activate service 'org.freedesktop.UPower': timed out

(unity-control-center:8939): GLib-GIO-CRITICAL **: g_dbus_proxy_call_sync_internal: assertion 'G_IS_DBUS_PROXY (proxy)' failed
Segmentation fault (core dumped)

ice (wasteymail-all) wrote :

the bug must have something to do with a boot error.
when I got this bug after next reboot the system hangs for 2 min on post with error code 99 and
this error dissapears only if I shut down the power completly.

Em 03/05/2016 07:47, Rick Harris escreveu:
> One last thing...ice in comment #12 said:
> "Some people say it has to do with a ASMedia USB Controller"
>
> Have found that USB enumeration failure can cause a bottleneck in
> systemd getting the upower.service unit to finally start.
>
> You'll know if the system is hit with this as it'll be much slower to boot and the kernel will spew errors of the type:
> kernel: usb 2-1.1: device descriptor read/64, error -110
> kernel: usb 2-1-port1: unable to enumerate USB device
>
> Occasionally after several suspend/resumes, I have a USB device
> (wireless game controller) that must be unplugged/replugged to stop this
> error (simply rebooting does not fix).
>
> Have found on my laptop, if the USB enumeration boots through without
> any error then it's quick enough to have systemd start upower.service
> in time before u-s-d is started, otherwise the u-s-d segfault occurs as
> above.
>
> Thanks :)

That's my problem. But I will solve. If you have or found an package to
solve this problem to people that eran less than 15 dollars a day like
me, I would be glad. I from Brasil, we are in terrible economic crisis.
And many of us had kids to support to. But I thank you a lot. Thanks for
care.

GM

>

Jeromie Rand (jeromie) wrote :

Can confirm that I get the same error as jontyl when clicking on the Power item in system settings.

Disabling lightdm and manually starting it after booting the computer does not seem to impact the bug for me.

Jeromie Rand (jeromie) wrote :

After trying to launch upowerd manually, I found that two packages were missing: libusbmuxd2 and libplist2. These are no longer in the Wily repository. I found and installed both libraries and my problems with upower and unity-settings-daemon were fixed. Fonts look correct, media keys are working, and the kernel log no longer has a upowerd segfault error.

Jeromie Rand (jeromie) wrote :

Both packages mentioned above are a part of libimobiledevice (enabled on upower builds that detect iOSdevices). Both have been replaced by newer versions. I haven't yet had time to track down why upowerd is linking the older version.

I have been facing this issue for a while now.

Some details of my system are as follows:

System: Host: sitspak Kernel: 4.4.0-22-generic x86_64 (64 bit) Desktop: Unity 7.4.0
           Distro: Ubuntu 16.04 xenial
Machine: System: Hewlett-Packard (portable) product: HP ZBook 15 G2 v: A3009DD10303
           Mobo: Hewlett-Packard model: 2253 v: KBC Version 03.10
           Bios: Hewlett-Packard v: M70 Ver. 01.07 date: 02/26/2015
CPU: Quad core Intel Core i7-4810MQ (-HT-MCP-) cache: 6144 KB
           clock speeds: max: 3800 MHz 1: 2805 MHz 2: 2801 MHz 3: 2800 MHz 4: 2987 MHz 5: 2800 MHz
           6: 2800 MHz 7: 2808 MHz 8: 2879 MHz
Graphics: Card-1: Intel 4th Gen Core Processor Integrated Graphics Controller
           Card-2: NVIDIA GK106GLM [Quadro K2100M]
           Display Server: X.Org 1.18.3 driver: nvidia Resolution: 1920x1080@60.01hz
           GLX Renderer: Quadro K2100M/PCIe/SSE2 GLX Version: 4.5.0 NVIDIA 361.42

I have observed following:

1. This happens when a external usb webcam is attached; dmesg regarding camera is as follows.

uvcvideo: Found UVC 1.00 device A4 TECH HD PC Camera (0ac8:3500)
[ +0.000882] input: A4 TECH HD PC Camera as /devices/pci0000:00/0000:00:14.0/usb3/3-10/3-10:1.0/inpu
[ +0.000116] usbcore: registered new interface driver uvcvideo
[ +0.000002] USB Video Class driver (1.1.1)

2. My themes fall back to classic gnome as well. To get around I restart lightdm service.
3. It was worse in Ubuntu 15.10 but in 16.04 some window decorations, icons & fonts fall back.
4. A dmesg related to Nvidia which might be interesting:

ACPI Warning: \_SB_.PCI0.PEGP.DGFX._DSM: Argument #4 type mismatch - Found [Buffer], ACPI requires [Package] (20150930/nsarguments-95)

Hope this helps!

Rick Harris (rickfharris) wrote :

So whether it be broken/missing libs or bad USB device enumeration causing upowerd to be either not available or slow to start, it would seem unity-settings-daemon could at least be improved to be robust enough not to segfault if upowerd is not present.

In the meantime, I was able to solve the USB device problem to work around upower.service slow start by adding the kernel commandline parameters 'usbcore.use_both_schemes=y usbcore.old_scheme_first=y'.

Sebastien Bacher (seb128) wrote :

the issue seems an upower on, reported upstream on https://bugs.freedesktop.org/show_bug.cgi?id=95350 with a simple testcase

Sebastien Bacher (seb128) wrote :

Those having slow system start/usb enumeration issues should report a kernel bug as well, fixing upower is going to resolve the segfault but not the kernel

Sebastien Bacher (seb128) wrote :

https://wiki.ubuntu.com/Kernel/Bugs has details on how to file kernel bugs with useful details

vithulan (mvvithulan) wrote :

Hi all,
I also encountered this issue. What happened for me is I installed glib-2.47.92, after the completion of the install my terminal didn't work. Then I rebooted the system and then I faced this same exact crash (crash unity-settings-daemon)

So I removed glib-2.47.92 and then I restarted the machine. Now it seems to be working properly. Can someone find whats the issue with glib and unity-settings-daemon?

Best,
Vithulan

Please:

1. Report to (https://bugs.freedesktop.org/enter_bug.cgi).
2. Paste the new report link here.
3. Set this bug status back to "confirmed".

Thank you.

Changed in upower (Ubuntu Xenial):
status: Confirmed → Incomplete
Changed in upower (Ubuntu Yakkety):
status: Confirmed → Incomplete
Daniel van Vugt (vanvugt) wrote :

Already done in comment #32 :)

Changed in upower (Ubuntu Xenial):
status: Incomplete → Confirmed
Changed in upower (Ubuntu Yakkety):
status: Incomplete → Confirmed
Martin Pitt (pitti) wrote :

I sent patches to the upstream upower bug that improve the behaviour when connecting to upowerd on D-Bus fails. However, libupower already behaved in the current way forever, so this is nothing new in Xenial. Thus the patches will also only help so far: they should avoid the segfault, but you'll still get invalid data presented in the UI as the client/the library never reconnects to upowerd.

The root cause here is that upowerd takes very long to start as it gets blocked reading some kernel attributes. This needs to be fixed in the kernel to truly solve this bug.

Changed in upower (Ubuntu Yakkety):
status: Confirmed → In Progress
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) wrote :

upower patches landed upstream now.

Changed in upower (Ubuntu Yakkety):
status: In Progress → Fix Committed
Martin Pitt (pitti) wrote :

I put the patches for upower into my PPA for xenial: https://launchpad.net/~pitti/+archive/ubuntu/ppa . These should stop the crashes, and instead the UI should now show default values (which are most certainly wrong). This can only be fixed with a kernel fix to make upowerd working.

However, feedback about this would be much appreciated. Stopping the crashes should at least help with all the non-power functionality (themes, sounds, brightness, volume, etc.).

My PPA does not have any other Xenial packages, so upgrading with it is safe.

Thanks!

Rick Harris (rickfharris) wrote :

Many thanks Martin.

Trawling through the linux-usb and distro kernel mailing list archives shows that the kernel blocking problem has been around for some time and discussed at length.

What it seems to boil down to is this:
https://git.kernel.org/cgit/linux/kernel/git/next/linux-next.git/tree/drivers/usb/core/hub.c#n67

The fact that parameters exist to force or fallback to the old initialisation scheme indicates the kernel devs. are aware there could be problems with the way USB devices are initialised, depending on the USB device.

semanthis (y-post-f) wrote :

I can confirm, that this bug can be related to libimobiledevice. I installed to software without getting it to work under ubuntu 15.04 and never removed it. After upgrading to 16.04 I got described problems, which could be solved by removing libimobiledevice.

Martin Pitt (pitti) wrote :

Could anyone who is affected please test my PPA, so that we can go ahead with that part of the fix for 16.04 LTS and yakkety?

Nicolas Pavie (pavie-nicolas) wrote :

Hi, I just tested the version on Martin's PPA.
The unity-settings-daemon did not crashed at startup on my rig with this version of upower, and my theme loaded correctly.
(I will test a second and a third reboot just to be sure)

There is still an usb error appearing in dmesg that i need to investigate, may be related to either my secondary keyboard or my logitech unifying usb receiver that is paired to a mouse and a keyboard.

Great job anyway :)

Nicolas Pavie (pavie-nicolas) wrote :

After two (faster) boot, the crash did not occured in my case.
(The default theme was loaded instead of my preferences, as it could be expected #40 , but reloging in my session reloaded my theme correctly)

Dmesg still indicates that unity-settings raises a segfault (part of the log just in case) :

[ 6.527496] usb 4-3: device descriptor read/64, error -110
[ 21.767453] usb 4-3: device descriptor read/64, error -110
[ 22.007295] usb 4-3: new full-speed USB device number 3 using ohci-pci
[ 27.143352] usb 4-3: device descriptor read/64, error -110
[ 29.059780] show_signal_msg: 36 callbacks suppressed
[ 29.059785] unity-settings-[1543]: segfault at 0 ip 00007f6fd798ae69 sp 00007fff5e55b290 error 4 in libupower-glib.so.3.0.1[7f6fd797b000+24000]
[ 29.059855] unity-settings-[1044]: segfault at 0 ip 00007fe32519ae69 sp 00007ffd85023b70 error 4 in libupower-glib.so.3.0.1[7fe32518b000+24000]
[ 42.473786] usb 4-3: device descriptor read/64, error -110
[ 42.716214] usb 4-3: new full-speed USB device number 4 using ohci-pci
[ 45.955728] nvidia-modeset: Freed GPU:0 (GPU-7da8fcc6-2c82-8fb5-addc-1ae643797ddd) @ PCI:0000:01:00.0
[ 46.455451] nvidia-modeset: Allocated GPU:0 (GPU-7da8fcc6-2c82-8fb5-addc-1ae643797ddd) @ PCI:0000:01:00.0
[ 53.179263] usb 4-3: device not accepting address 4, error -110
[ 53.315586] usb 4-3: new full-speed USB device number 5 using ohci-pci
[ 54.498038] unity-settings-[2127]: segfault at 0 ip 00007f9e7d9bae69 sp 00007ffe6dfb2420 error 4 in libupower-glib.so.3.0.1[7f9e7d9ab000+24000]
[ 63.736937] usb 4-3: device not accepting address 5, error -110
[ 63.736969] usb usb4-port3: unable to enumerate USB device

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upower - 0.99.4-3

---------------
upower (0.99.4-3) unstable; urgency=medium

  * UpKbdBacklight: Don't cache the brightness level, always read
    it from sysfs. (LP: #1583861)
  * Fix up_client_new() returning an invalid object (that causes crashes on
    any operation) when upowerd is not (yet) started. (LP: #1546641)
  * debian/libupower-glib3.symbols: Add new symbol from previous patch.
  * Bump Standards-Version to 3.9.8 (no changes necessary).

 -- Martin Pitt <email address hidden> Fri, 10 Jun 2016 10:28:20 +0200

Changed in upower (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Martin Pitt (pitti) on 2016-06-12
tags: added: hw-specific
description: updated
Martin Pitt (pitti) wrote :

I uploaded a xenial upower update to the SRU review queue now.

description: updated
Changed in upower (Ubuntu Xenial):
status: Confirmed → In Progress

Hello william, or anyone else affected,

Accepted upower into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/upower/0.99.4-2ubuntu0.3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in upower (Ubuntu Xenial):
status: In Progress → Fix Committed
tags: added: verification-needed
Jeremy Herbert (jeremyherbert) wrote :
Download full text (4.8 KiB)

This problem popped up on my Intel NUC today when I rebooted due to an application crash (guvcview). I have no idea how or why, as this machine has been going fine with Xubuntu 16.04 x64 since it was released.

I tried the packages which have been proposed and it does partially correct the problems. XFCE was crashing and now it doesn't anymore, my theme loads correctly and the upower segfaults are gone from dmesg. However, I still have issues with usb enumeration, and my keyboard requires an unplug/replug a few times after bootup to work.

This keyboard was working fine previously on this computer. I've also swapped it with an identical unit, and it didn't make a difference

dmesg log:

[ 6.825025] usb 2-7: device descriptor read/64, error -110
[ 22.039070] usb 2-7: device descriptor read/64, error -110
[ 22.214971] usb 2-2.4: new low-speed USB device number 5 using xhci_hcd
[ 22.310987] usb 2-2.4: New USB device found, idVendor=413c, idProduct=2110
[ 22.310991] usb 2-2.4: New USB device strings: Mfr=1, Product=2, SerialNumber=0
[ 22.310993] usb 2-2.4: Product: Dell Wired Multimedia Keyboard
[ 22.310995] usb 2-2.4: Manufacturer: Dell
[ 22.311201] usb 2-2.4: ep 0x81 - rounding interval to 64 microframes, ep desc says 80 microframes
[ 22.311207] usb 2-2.4: ep 0x82 - rounding interval to 64 microframes, ep desc says 80 microframes
[ 22.318806] input: Dell Dell Wired Multimedia Keyboard as /devices/pci0000:00/0000:00:14.0/usb2/2-2/2-2.4/2-2.4:1.0/0003:413C:2110.0002/input/input14
[ 22.371145] hid-generic 0003:413C:2110.0002: input,hidraw1: USB HID v1.10 Keyboard [Dell Dell Wired Multimedia Keyboard] on usb-0000:00:14.0-2.4/input0
[ 22.381593] input: Dell Dell Wired Multimedia Keyboard as /devices/pci0000:00/0000:00:14.0/usb2/2-2/2-2.4/2-2.4:1.1/0003:413C:2110.0003/input/input15
[ 22.435511] hid-generic 0003:413C:2110.0003: input,hiddev0,hidraw2: USB HID v1.10 Mouse [Dell Dell Wired Multimedia Keyboard] on usb-0000:00:14.0-2.4/input1
[ 22.470969] usb 2-7: new full-speed USB device number 6 using xhci_hcd
[ 27.582992] usb 2-7: device descriptor read/64, error -110
[ 43.064673] usb 2-7: device descriptor read/64, error -110
[ 43.283615] usb 2-7: new full-speed USB device number 7 using xhci_hcd
[ 48.340731] xhci_hcd 0000:00:14.0: Command completion event does not match command
[ 48.340737] xhci_hcd 0000:00:14.0: Timeout while waiting for setup device command
[ 53.582506] xhci_hcd 0000:00:14.0: Timeout while waiting for setup device command
[ 53.787133] usb 2-7: device not accepting address 7, error -62
[ 53.899485] usb 2-7: new full-speed USB device number 8 using xhci_hcd
[ 58.923342] xhci_hcd 0000:00:14.0: Command completion event does not match command
[ 58.923349] xhci_hcd 0000:00:14.0: Timeout while waiting for setup device command
[ 64.145612] xhci_hcd 0000:00:14.0: Timeout while waiting for setup device command
[ 64.349704] usb 2-7: device not accepting address 8, error -62
[ 64.349731] usb usb2-port7: unable to enumerate USB device
[ 64.349765] usb 2-2: USB disconnect, device number 3
[ 64.349767] usb 2-2.4: USB disconnect, device number 5
[ 64.677970] usb 2-2: new high-speed USB d...

Read more...

Daniel van Vugt (vanvugt) wrote :

Just got back from holiday and tried upgrading trusty to xenial again...

My first attempt hit this bug again. However then I found that unplugging my USB DVB tuner solved it. So now I'm finally able to keep xenial installed.

Next step was to plug the USB DVB tuner back in and test the above xenial fix. Un/fortunately this bug has suddenly stopped happening for now, so I don't have a reliable system to test the xenial fix on, at least for today.

Daniel van Vugt (vanvugt) wrote :

Got the bug back on xenial. Applied the proposed fix 0.99.4-2ubuntu0.3 and rebooted three times. The bug has not returned. All fixed, thanks.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package upower - 0.99.4-2ubuntu0.3

---------------
upower (0.99.4-2ubuntu0.3) xenial-proposed; urgency=medium

  * Fix up_client_new() returning an invalid object (that causes crashes on
    any operation) when upowerd is not (yet) started. (LP: #1546641)
  * debian/libupower-glib3.symbols: Add new symbol from previous patch.

 -- Martin Pitt <email address hidden> Sun, 12 Jun 2016 18:22:13 +0300

Changed in upower (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for upower has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Daniel van Vugt (vanvugt) wrote :

Sorry, but now the fault has returned. Even with upower 0.99.4-2ubuntu0.3

The only thing that works is for me to unplug the USB DVB tuner for boot-up.

Changed in upower (Ubuntu Xenial):
status: Fix Released → Confirmed
Daniel van Vugt (vanvugt) wrote :

Just looking at my latest .crash file, it's definitely the same crash. And now from:
    libupower-glib3:amd64 0.99.4-2ubuntu0.3

Daniel van Vugt (vanvugt) wrote :

I've now replaced the whole PC and kept the old harddrive. But this bug remains even in the new system. Again unplugging my USB DVB tuner is the workaround.

Raoul Bhatia (raoul-bhatia) wrote :

I am seeing the same issue with Linux Mint 18.

linweilian (linweilia03) wrote :

I installed a new kernel (version 4.8). It seems to solve this problem.

uklas (uklasius) on 2017-10-09
Changed in unity-settings-daemon (Ubuntu):
assignee: nobody → uklas (uklasius)
Changed in unity-settings-daemon (Ubuntu):
assignee: uklas (uklasius) → nobody
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.